# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'e:/Users/Pierre/Desktop/formation_ui/formation_ui/python/formation_ui/UI_02-using_external_files/app_01_convert_ui_files/ui_files\interface_01.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(688, 459)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.widget = QtWidgets.QWidget(self.centralwidget)
        self.widget.setAutoFillBackground(False)
        self.widget.setStyleSheet("")
        self.widget.setObjectName("widget")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.widget)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        spacerItem = QtWidgets.QSpacerItem(
            20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding
        )
        self.verticalLayout_2.addItem(spacerItem)
        self.my_label = QtWidgets.QLabel(self.widget)
        font = QtGui.QFont()
        font.setPointSize(25)
        self.my_label.setFont(font)
        self.my_label.setText("")
        self.my_label.setAlignment(QtCore.Qt.AlignCenter)
        self.my_label.setObjectName("my_label")
        self.verticalLayout_2.addWidget(self.my_label)
        spacerItem1 = QtWidgets.QSpacerItem(
            20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding
        )
        self.verticalLayout_2.addItem(spacerItem1)
        self.verticalLayout.addWidget(self.widget)
        self.widget_2 = QtWidgets.QWidget(self.centralwidget)
        self.widget_2.setObjectName("widget_2")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.widget_2)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.my_checker = QtWidgets.QCheckBox(self.widget_2)
        self.my_checker.setObjectName("my_checker")
        self.horizontalLayout.addWidget(self.my_checker)
        spacerItem2 = QtWidgets.QSpacerItem(
            40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum
        )
        self.horizontalLayout.addItem(spacerItem2)
        self.my_display = QtWidgets.QPushButton(self.widget_2)
        self.my_display.setStyleSheet("background-color: rgb(145, 220, 84);")
        self.my_display.setObjectName("my_display")
        self.horizontalLayout.addWidget(self.my_display)
        self.my_erase = QtWidgets.QPushButton(self.widget_2)
        self.my_erase.setStyleSheet("background-color: rgb(255, 83, 83);")
        self.my_erase.setObjectName("my_erase")
        self.horizontalLayout.addWidget(self.my_erase)
        self.verticalLayout.addWidget(self.widget_2)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 688, 21))
        self.menubar.setObjectName("menubar")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)

        self.retranslateUi(MainWindow)
        self.my_checker.toggled["bool"].connect(self.my_display.setDisabled)  # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.my_checker.setText(_translate("MainWindow", "CheckBox"))
        self.my_display.setText(_translate("MainWindow", "Display"))
        self.my_erase.setText(_translate("MainWindow", "Erase"))
